!------------------------------------------------------------------------------
subroutine eau_cupalpha (lpbl , alpha)
     
 use kinds
 use eau_params
      
 implicit none
!------------------------------------------------------------------------------
!eau_cupalpha sets the value of the parameter alpha used in the prgnostic
!equation of the cumulus kinetic energy equation. A more realistic parameteriza
!tion of alpha will eventually replace the constant value.
! Laura D. Fowler/mcbug (01-01-00).

!send comments to laura@atmos.colostate.edu.

!modifications:
!    none.

!subroutines called:
!    none.

!argument list variables:
!input arguments:
!----------------
integer (kind=int_kind):: &
   lpbl               !number of layers above the PBL layer(s)              (-).

!output arguments:
!-----------------
real (kind=dbl_kind), intent(out), dimension(lpbl):: &
   alpha              !constant in the prognostic cke equation

!------------------------------------------------------------------------------

alpha(:) = alpham

end subroutine eau_cupalpha

!------------------------------------------------------------------------------
