!-----------------------------------------------------------------------
	
 module eau_global

 use kinds
 use domain_decomposition
 use sigma_coordinate
 use tracer_names      

 implicit none
 save

!-----------------------------------------------------------------------

!---- cumulus detrainment variables for eauliq:

 real(kind=dbl_kind), dimension(iim,jjm,nlm,nsdm) :: &
     dlcup, & ! detrainment of cloud water (kg/kg/s).
     dicup    ! detrainment of cloud ice   (kg/kg/s). 

!---- eau_cup and eau_liq global variables:
 
 real(kind=dbl_kind), dimension(iim,jjm,nwater,nsdm) :: &
     deauc_vtot, & !vertically-integrated deauc_iq  (kg/m2/s).
     deaul_vtot     !vertically-integrated deaul_iq  (kg/m2/s).

 end module eau_global

!-----------------------------------------------------------------------
