C--------------------

      SUBROUTINE CLDSLW( CSS, CCU, CH, CC, CS, len, nlm )

c	Modifications:
c		- inlined gcmlib code.  kwitt 1/29/92
c               - made implicit none;
c                 implemented multitasking physics
c                        dd 95.10.17

C--------------------

      use kinds

      IMPLICIT none

c     declare argmument list arrays

      integer (kind=int_kind) ::
     *     len, nlm

      REAL (kind=dbl_kind) ::
     *     CSS(len,nlm+2),CCU(len,nlm+2),CH(len,nlm+2),
     *     CS(len,nlm+2,nlm+2),CC(len,nlm+3)

c     declare local arrays
   
      REAL (kind=dbl_kind) ::
     *     X1(len,nlm+3),X2(len,nlm+3),X4(len,nlm+2)
     *,    X3(len,nlm+2)

      integer (kind=int_kind) ::
     *     i, l, m, ip, nnp, nnpp1, il, ipm1, nlmp1, ix, ipp1, ipnp

      nlmp1 = nlm + 1
      nnp = nlm+2
      nnpp1 = nnp + 1

      DO l=1, nnp
      DO I=1, len
         CH(I,l) = 1.
         CC(I,l) = 1.
         X1(I,l) = 1.
         X2(I,l) = 1.
         X3(I,l) = 1.
      ENDDO
      ENDDO

      DO m=1, nnp
      DO l=1, nnp
      DO I=1, len
         CS(I,l,m) = 1.
      ENDDO
      ENDDO
      ENDDO

      DO IP=2,nNP
         DO I=1, len
            X1(I,IP) = 1. - CCU(I,IP-1)
            x1(i,ip) = min(x1(i,ip-1), x1(i,ip))
            CH(I,IP) = CH(I,IP-1) * (1. - CSS(I,IP-1))
         ENDDO
      ENDDO

      DO l=1,nlmp1
      DO I=1,len
         CH(I,l+1) = CH(I,l+1) * X1(I,l+1)
      ENDDO
      ENDDO

      DO IL=1,nLMp1
         IP=nNP-IL

         DO I=1, len
            X2(I,IP) = 1. - CCU(I,IP)
            x2(i,ip) = min(x2(i,ip+1), x2(i,ip))
            CC(I,IP) = CC(I,IP+1) * (1. - CSS(I,IP))
         ENDDO
      ENDDO

      DO l=1,nlmp1
      DO I=1,len
         CC(I,l) = CC(I,l) * X2(I,l)
      ENDDO
      ENDDO

      DO IP=2,nNP
         IPM1 = IP - 1

         DO IX=1,IPM1
            DO I=1,len
               X4(I,IX) = 1. - CCU(I,IP-1)
               CS(I,IX,IP) = CS(I,IX,IP-1) * (1. - CSS(I,IP-1))
            ENDDO
         ENDDO

         IF (IP .GT. 2) THEN
            DO l=1,ip-2
            DO I=1,len
               CS(I,l,IP-1) = CS(I,l,IP-1) * X3(I,l)
            ENDDO
            ENDDO
         ENDIF

         DO l=1,ipm1
         DO I=1,len
            x4(i,l) = min(x3(i,l), x4(i,l))
            X3(I,l) = X4(I,l)
         ENDDO
         ENDDO
      ENDDO

      DO l=1,ipm1
      DO I=1,len
         CS(I,l,nNP) = CS(I,l,nNP) * X4(I,l)
      ENDDO
      ENDDO

      DO l=1,nnp
      DO I=1,len
         X3(I,l) = 1.
      ENDDO
      ENDDO

      DO IL=1,nLMP1
         IP = nNP - IL
         IPP1 = IP + 1

         DO IX=IPP1,nNP
            DO I=1,len
               X4(I,IX) = 1. - CCU(I,IP)
               CS(I,IX,IP) = CS(I,IX,IP+1) * (1. - CSS(I,IP))
            ENDDO
         ENDDO

         IF (IL .GT. 1) THEN
            DO l=1,IPNP
               DO I=1,len
                  CS(I,IP+l+1,IP+1) = CS(I,IP+l+1,IP+1) * X3(I,IP+l+1)
               ENDDO
            ENDDO
         ENDIF

         IPNP = nNP-IP

         DO l=1,ipnp
         DO I=1,len
            x4(i,ip+l) = min(x3(i,ip+l), x4(i,ip+l))
            X3(I,ip+l) = X4(I,ip+l)
         ENDDO
         ENDDO
      ENDDO

      DO l=1,ipnp
      DO I=1,len
         CS(I,IP+l,IP) = CS(I,IP+l,IP) * X4(I,IP+l)
      ENDDO
      ENDDO

      RETURN
      END
