!|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
	
 	module landice_parameters

!-----------------------------------------------------------------
!	this module specifies parameters and options
!           for the land ice parameterization
!       default values are provided below
!-----------------------------------------------------------------

	use kinds
        use domain_decomposition_sfc

 	implicit none
 	save

!   ocean domain definition
        integer (kind=int_kind) :: nlandice=0
        logical (kind=log_kind), dimension(iim_sfc,jjm_sfc,nsdm_sfc) ::
     *          hr_ice=.false.
        real (kind=dbl_kind), dimension(iim_sfc,jjm_sfc,nsdm_sfc) ::
     *          lon_ice=0, lat_ice=0
        integer (kind=int_kind), dimension(iim_sfc,jjm_sfc,nsdm_sfc) ::
     *          link_hr_ice=0

!   prognostic variables
        real (kind=dbl_kind), dimension(iim_sfc,jjm_sfc,nsdm_sfc) ::
     *      tgi = 0    !  ice surface temperature (K)
     *,     tkei = 0   !  turbulence kinetic energy

!   boundary conditions:
        real (kind=dbl_kind), dimension(iim_sfc,jjm_sfc,nsdm_sfc) ::
     *      zs_ice = 0    !  ice surface geopotential (m2/s2)

 

!-------------------------------------------------------------------
!   VARIABLE DEFINITION
!-------------------------------------------------------------------
!
!
!-------------------------------------------------------------------

 	end module landice_parameters

!|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
