
 SRC_DIR    = ../source
 SCM_DIR    = ../source/single_column
 PCONT_DIR  = ../source/pcontrol
 OUTPUT_DIR = ../source/output
 EAU_DIR    = ../source/eau_control
 RAD_DIR    = ../source/rad_control

 Executable = ../run_scm/bugs5

#mac osx absoft debug (but not for totalview):
#Cpp     = /usr/bin/Cpp
#Cppopts = -P
#Comp    = /Applications/Absoft9.5/bin/f95
#Opts    = -c -g -Rb -Rc -trap=INVALID,DIVBYZERO,OVERFLOW -et
#pblOpts = -c -g -Rb -Rc -trap=INVALID,DIVBYZERO,OVERFLOW -et
#progOpts = -c -g -Rb -Rc -trap=INVALID,DIVBYZERO,OVERFLOW -et
#eauliqOpts = -c -g -Rb -trap=INVALID,DIVBYZERO,OVERFLOW -et
#Load    = /Applications/Absoft9.5/bin/f95
#Fix     = -f fixed -W132
#Free    = -f free
#Dp      =
#Suf     = f
#following local systems:
#Libs    = -L/usr/local/absoft/lib -lnetcdf -lU77
#Inc     = -I/usr/local/absoft/include

#mac osx debug (for totalview, turn off everything but -g):
 Cpp     = /usr/bin/Cpp
 Cppopts = -P
 Comp    = f90
 Opts    = -c -g 
 pblOpts = -c -g 
 progOpts = -c -g 
 eauliqOpts = -c -g 
 Load    = f90 -g 
 Fix     = -f fixed -W132
 Free    = -f free
 Dp      =
 Suf     = f
#following local systems:
 Libs    = -L/usr/local/absoft/lib -lnetcdf -lU77
 Inc     = -I/usr/local/absoft/include

#mac osx xlf, debug:
#Cpp     = /usr/bin/cpp
#Cppopts = -P -traditional
#Comp    = /opt/ibmcmp/xlf/8.1/bin/f90
#Opts    = -c -g -qfloat=fltint:rsqrt
#pblOpts = -c -g -qfloat=fltint:rsqrt
#progOpts= -c -g -qfloat=fltint:rsqrt
#Load    = /opt/ibmcmp/xlf/8.1/bin/f90 -L/usr/lib/gcc/darwin/3.3
#Fix     = -qfixed=132
#Free    = -qfree=f90
#Dp      =
#Suf     = f90
#following local systems:
#Libs    = -L/usr/local/xlf/lib -lnetcdf
#Inc     = -I/usr/local/xlf/include

#SGI O2k series, 32bit, debug:
#Cpp     = /usr/lib/cpp
#Cppopts = -P
#cc      = cc -c
#Comp    = f90
#Opts    = -c -n32 -g -trapuv -DEBUG:subscript_check:conform_check:verbose_runtime
#pblOpts = -c -n32 -g -trapuv -DEBUG:subscript_check:conform_check:verbose_runtime
#progOpts = -c -n32 -g -trapuv -DEBUG:subscript_check:conform_check:verbose_runtime
#Load    = f90 -n32 -g -trapuv -DEBUG:subscript_check:conform_check:verbose_runtime
#Fix     = -col80 -fixedform
#Free    = -extend_source -freeform
#Dp      =
#Suf     = f
#following for local systems
#Libs    = -lmpi -L/usr/local/lib -lnetcdf
#Inc     =  -I/usr/local/include
#following for NAS
#Libs    = -lmpi -L/hc/dazlich/lib -lnetcdf
#Inc     =  -I/hc/dazlich/include

#SGI O2k series, 32bit:
#Cpp     = /usr/lib/cpp
#Cppopts = -P
#cc      = cc -c
#Comp    = f90
#Fix     = -col80 -fixedform
#Free    = -extend_source -freeform
#Opts    =  -c -O3 -n32 -mips4 -r10000 -OPT:roundoff=3:IEEE_arithmetic=3 
#pblOpts =  -c -O3 -n32 -mips4 -r10000 -OPT:roundoff=3:IEEE_arithmetic=3 
#progOpts =  -c -O3 -n32 -mips4 -r10000 -OPT:roundoff=3:IEEE_arithmetic=3 
#Load    = f90 -O3 -n32 -mips4 -r10000 -OPT:roundoff=3:IEEE_arithmetic=3
#Dp      =
#Suf     = f
#following for local systems
#Libs    = -lmpi -L/usr/local/lib -lnetcdf
#Inc     = -I/usr/local/include
#following for NAS
#Libs    = -lmpi -L/hc/dazlich/lib -lnetcdf
#Inc     = -I/hc/dazlich/include

#Portland Group, debug:
#Cpp     = /usr/bin/cpp
#Cppopts = -P -traditional
#cc      = cc -c
#Comp    = pgf90
#Fix     = -Mextend
#Free    = -Mfreeform
#Opts    = -c -g -Mbyteswapio -Ktrap=fp
#pblOpts = -c -g -Mbyteswapio -Ktrap=fp
#progOpts = -c -g -Mbyteswapio -Ktrap=fp
#Load    = pgf90 -g
#Dp      =
#Suf     = f
#following for local systems
#Libs    = -L/usr/pgi/linux86/lib -lmpich -L/usr/local/lib -lnetcdf
#Inc     = -I/usr/local/include

# Portland Group, optimized:
#Cpp     = /usr/bin/cpp
#Cppopts = -P -traditional
#cc      = cc -c
#Comp    = pgf90
#Fix     = -Mextend
#Free    = -Mfreeform
#Opts    = -c -Mvect -Minfo -fast -Mbyteswapio -Ktrap=fp
#pblOpts = -c -Mvect -Minfo -fast -Mbyteswapio -Ktrap=fp
#progOpts = -c -Minfo -Mbyteswapio -Ktrap=fp
#Load    = pgf90 -g
#Dp      =
#Suf     = f
#following for local systems
#Libs    = -L/usr/pgi/linux86/lib -lmpich -L/usr/local/lib -lnetcdf
#Inc     = -I/usr/local/include

# SUN, debug, scm only:
#Cpp     = /usr/ccs/lib/cpp
#Cppopts = 
#cc      = cc -c
#Comp    = f90
#Opts    = -c -g -e
#pblOpts = -c -g -e
#progOpts = -c -g -e
#Load    = f90 -g -e
#Libs    = -L/usr/local/lib -lnetcdf
#Inc     = -I/usr/local/include
#Dp      =
#Suf     = f

# IBM, 32bit, debug:
#Cpp     = /usr/ccs/lib/cpp
#cc      = cc -c
#Comp    = mpxlf
#Fix     = -qfixed=80
#Free    = -qfree
#Opts    = -c -q32 -g -qarch=auto -qinitauto -qmoddir=. -bmaxstack:250000000 -bmaxdata:2000000000 -qzerosize
#pblOpts = -c -q32 -g -qarch=auto -qinitauto -qmoddir=. -bmaxstack:250000000 -bmaxdata:2000000000 -qzerosize
#progOpts = -c -q32 -g -qarch=auto -qinitauto -qmoddir=. -bmaxstack:250000000 -bmaxdata:2000000000 -qzerosize
#Load    = mpxlf -q32 -g -qarch=auto -qinitauto -bmaxstack:250000000 -bmaxdata:2000000000 -qzerosize
#Dp      =
#Suf     = f
#OTHER   = ./timers/xlfutility.o
#following for NCAR:
#Libs    = -L/usr/local/lib32/r4i4 -lnetcdf
#Inc     =  -I/usr/local/include
#following for NERSC
#Libs    = -L/usr/common/usg/netcdf/3.4/lib -lnetcdf
#Inc     =  -I/usr/common/usg/netcdf/3.4/include

# IBM series, 32bit:
#Cpp     = /usr/ccs/lib/cpp
#cc      = cc -c
#Comp    = mpxlf
#Fix     = -qfixed=80
#Free    = -qfree
#Opts    = -c -O3 -q32 -qarch=auto -qfloat=fltint:hssngl:rsqrt:hsflt -bmaxstack:250000000 -bmaxdata:2000000000 -qzerosize
#pblOpts = -c -O3 -q32 -qarch=auto -qfloat=fltint:hssngl:rsqrt:hsflt -bmaxstack:250000000 -bmaxdata:2000000000 -qzerosize
#progOpts = -c -O3 -q32 -qarch=auto -qfloat=fltint:hssngl:rsqrt:hsflt -bmaxstack:250000000 -bmaxdata:2000000000 -qzerosize
#Load    = mpxlf -O3 -q32 -qarch=auto -qfloat=fltint:hssngl:rsqrt:hsflt -bmaxstack:250000000 -bmaxdata:2000000000 -qzerosize
#Dp      =
#Suf     = f
#OTHER   = ./timers/xlfutility.o
#following for NCAR
#Libs    = -L/usr/local/lib32/r4i4 -lnetcdf
#Inc     =  -I/usr/local/include
#following for NERSC
#Libs    = -L/usr/common/usg/netcdf/3.4/lib -lnetcdf
#Inc     =  -I/usr/common/usg/netcdf/3.4/include

# IBM series, 32bit, Power 4 (cheetah):
#Cpp     = /usr/ccs/lib/cpp
#cc      = cc -c
#Comp    = mpxlf_r
#Fix     = -qfixed=80
#Free    = -qfree
#Opts    = -c -g -O4 -qnoipa -qfixed=80 -q32 -qmaxmem=-1 -qstrict -qflttrap=zerodivide:enable -qsigtrap=xl__trcedump -qzerosize
#pblOpts = -c -g -O4 -qnoipa -qfixed=80 -q32 -qmaxmem=-1 -qstrict -qflttrap=zerodivide:enable -qsigtrap=xl__trcedump -qzerosize
#progOpts = -c -g -O4 -qnoipa -qfixed=80 -q32 -qmaxmem=-1 -qstrict -qflttrap=zerodivide:enable -qsigtrap=xl__trcedump -qzerosize
#Load    = mpxlf_r -g -O4 -qnoipa -qfixed=80 -q32 -qmaxmem=-1 -qstrict -qflttrap=zerodivide:enable -qsigtrap=xl__trcedump -qzerosize
#Dp      =
#Suf     = f
#Libs    = -L/usr/local/lib32/r4i4 -lnetcdf
#Inc     = -I/usr/local/include

#------------------------------------------------------------------
#  precompiler options

# additional options:
# -DRAD         : switch to CSU two-stream radiative transfer model.
# -DRAD_OVERLAP : switch to CSU two-stream radiative transfer model
#                 with random overlap of the cloud fraction. This
#                 option needs to remained commented out until the
#                 parameterization of fractional cloudiness is made
#                 available.

#  NOTE:
#  DMPI and DSCM are mutually exclusive
#------------------------------------------------------------------
 DRES         = -Dresolution=00001
 DSFCRES      = -Dsfc_resolution=00001
#DMPI	      = -Dmpi
 DSCM	      = -Dscm
 DGSC	      = -Dgeneralized_sigma
#DNST         = -Dno_stratosphere
 DUPWIND      = -Dvertical_upwind_pbl
 DPBL_LIMITER = -Dpbl_depth_limiter
#DHELDSUAREZ  = -Dheld_suarez
 DLTGCM       = -Dlink_to_gcm_physics
#DGWD         = -Dgravity_wave_drag
#DCUFRICT     = -Dcup_friction
 DRAD         = -Dbugs_rad
#DRAD_OVERLAP = -Doverlap
 DCO2         = -Dpassive_tracers
#DSGI         = -Dsgi
#DLINUX       = -Dlinux
#DIBM         = -Dibm
#DSUN         = -Dsun_os
 DOSX         = -Dmac_osx

 Cpp_opts = $(Cppopts)\
	    $(DRES)\
	    $(DSFCRES)\
            $(DMPI)\
            $(DSCM)\
	    $(DPCONTROL)\
	    $(DGSC)\
	    $(DNST)\
	    $(DUPWIND)\
	    $(DPBL_LIMITER)\
	    $(DHELDSUAREZ)\
	    $(DLTGCM)\
	    $(DGWD)\
	    $(DCUFRICT)\
	    $(DRAD)\
	    $(DRAD_OVERLAP)\
	    $(DCO2)\
	    $(DSGI)\
	    $(DLINUX)\
	    $(DSUN)\
	    $(DIBM)\
	    $(DOSX)			

#------------------------------------------------------------------
#  object list
#------------------------------------------------------------------

Objs =  \
	kinds.o\
	netcdf_util.o\
	physical_parameters.o\
	model_parameters.o\
	domain_decomposition.o\
	domain_decomposition_sfc.o\
	abort.o\
	tracer_names.o\
	time_manager.o\
	sigma_coordinate.o\
	eau_global.o\
	eau_params.o\
	eau_util.o\
	rad_o3params.o\
	rad_params.o\
	pbl_parameters.o\
	utility.o\
	hstatc.o\
	prognostics.o\
	scm.o\
	timer.o\
	model_control.o\
	vertical_diffusion.o\
	fluxcoupler_fields.o\
	fluxcoupler_fields_sfc.o\
	ocean_parameters.o\
	landice_parameters.o\
	sib_parameters.o\
	ncgentools.o\
	ncpbpwrt.o\
	pbp_module.o\
	pbp_sfc.o\
	adjustments.o\
	chunk_parameters.o\
	radgcm_parameters.o\
	post_step_module.o\
	initialize.o\
	atmos_ozone_utilities.o\
	initialize_pcontrol.o\
	source_terms.o\
	cumulus_friction.o\
	step_scm.o\
	qp_pbp_diagnostics.o\
 	pcontrol_parameters.o\
 	wtavrg.o\
	radgcm.o\
	coszen.o\
	clcf.o\
	elqclop.o\
	lwrad.o\
	lwflux.o\
	cldslw.o\
	crunch.o\
	swrad.o\
	setsw.o\
	clear.o\
	cloudy.o\
	cubic.o\
        buoyshear_module.o\
        negtke_module.o\
        comp_tke_module.o\
	pbl.o\
	bc_update.o\
	sfc_control.o\
	sfc_init.o\
	oceanflx.o\
	sib.o\
	sibfiles.o\
	landiceflx.o\
	vmfcal.o\
	vmfcal2.o\
	vmfcalz.o\
	vmfcalz2.o\
	vmfcalo.o\
	vmfcalzo.o\
	flux_coupler.o\
 	pcontrol.o\
	phys_rad.o\
 	eau_cldproperties.o\
 	eau_cup_control.o\
 	eau_cup.o\
 	eau_cupalpha.o\
 	eau_cupcld.o\
 	eau_cupcke.o\
 	eau_cupinit.o\
 	eau_cupl2.o\
 	eau_cupls.o\
 	eau_cuplsng.o\
 	eau_cuppbps.o\
	eau_cupsubs.o\
	eau_cuptracers.o\
 	eau_cuptran.o\
 	eau_ener.o\
 	eau_farrays.o\
 	eau_gather.o\
 	eau_l2.o\
 	eau_liq.o\
	eau_liq_control.o\
	eau_liqpbps.o\
 	eau_logint.o\
 	eau_mass.o\
 	eau_melt.o\
 	eau_prec.o\
 	eau_supmicrop.o\
 	eau_submicrop.o\
 	eau_subsat.o\
 	eau_supsat.o\
	rad_subdomain.o\
	rad_planck.o\
	rad_gascon_ckd.o\
	rad_gascon_robs.o\
	rad_gases_ckd.o\
	rad_cld.o\
	rad_cloudg.o\
	rad_comscp1.o\
	rad_comscp2.o\
	rad_control.o\
	rad_coszen.o\
	rad_bandsolve.o\
	rad_driver.o\
	rad_gases.o\
	rad_lwr.o\
	rad_newexp.o\
	rad_pscalei.o\
	rad_pscales.o\
	rad_qki.o\
	rad_qkio3.o\
	rad_qks.o\
	rad_qopch4.o\
	rad_qoph2o.o\
	rad_qophc.o\
	rad_qopn2o.o\
	rad_qopo3i.o\
	rad_qopo3s.o\
	rad_pbps.o\
	rad_rayle.o\
	rad_sounding.o\
	rad_sfc.o\
	rad_swr.o\
	rad_twort_lw.o\
	rad_twort_lw_bs.o\
	rad_twort_lw_iter.o\
	rad_twort_lw_sel.o\
	rad_twort_sw.o\
	rad_twort_sw_bs.o\
	rad_twort_sw_iter.o\
	driver.o

#------------------------------------------------------------------
#  compile-link
#------------------------------------------------------------------

$(Executable): $(Objs)
	$(Load) $(Objs) -o $(Executable) $(Libs)

#------------------------------------------------------------------
#  make include files
#------------------------------------------------------------------

#------------------------------------------------------------------
#  make object files
#------------------------------------------------------------------

driver.o: $(SCM_DIR)/driver.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/driver.F > driver.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) driver.$(Suf)

model_parameters.o: $(SCM_DIR)/model_parameters.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/model_parameters.F > model_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) model_parameters.$(Suf)

abort.o: $(SRC_DIR)/abort.F
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/abort.F > abort.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) abort.$(Suf)

kinds.o: $(SRC_DIR)/kinds.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/kinds.F > kinds.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) kinds.$(Suf)

domain_decomposition.o: $(SCM_DIR)/domain_decomposition.F
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/domain_decomposition.F > domain_decomposition.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) domain_decomposition.$(Suf)

domain_decomposition_sfc.o: $(SCM_DIR)/domain_decomposition_sfc.F
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/domain_decomposition_sfc.F > domain_decomposition_sfc.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) domain_decomposition_sfc.$(Suf)

tracer_names.o: $(SRC_DIR)/tracer_names.F
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/tracer_names.F > tracer_names.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) tracer_names.$(Suf)

vertical_diffusion.o: $(SRC_DIR)/vertical_diffusion.F
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/vertical_diffusion.F > vertical_diffusion.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) vertical_diffusion.$(Suf)

adjustments.o: $(SCM_DIR)/adjustments.F
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/adjustments.F > adjustments.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) adjustments.$(Suf)

post_step_module.o: $(SCM_DIR)/post_step_module.F
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/post_step_module.F > post_step_module.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) post_step_module.$(Suf)

step_scm.o: $(SCM_DIR)/step_scm.F
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/step_scm.F > step_scm.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) step_scm.$(Suf)

cumulus_friction.o: $(SCM_DIR)/cumulus_friction.F
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/cumulus_friction.F > cumulus_friction.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) cumulus_friction.$(Suf)

source_terms.o: $(SCM_DIR)/source_terms.F
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/source_terms.F > source_terms.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) source_terms.$(Suf)

time_manager.o: $(SRC_DIR)/time_manager.F
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/time_manager.F > time_manager.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) time_manager.$(Suf)

utility.o: $(SRC_DIR)/utility.F
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/utility.F > utility.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) utility.$(Suf)

sigma_coordinate.o: $(SRC_DIR)/sigma_coordinate.F
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/sigma_coordinate.F > sigma_coordinate.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) sigma_coordinate.$(Suf)

prognostics.o: $(SRC_DIR)/prognostics.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/prognostics.F > prognostics.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) prognostics.$(Suf)

model_control.o: $(SCM_DIR)/model_control.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/model_control.F > model_control.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) model_control.$(Suf)

timer.o: $(SRC_DIR)/timer.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/timer.F > timer.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) timer.$(Suf)

hstatc.o: $(SRC_DIR)/hstatc.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/hstatc.F > hstatc.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) hstatc.$(Suf)

initialize.o: $(SCM_DIR)/initialize.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/initialize.F > initialize.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) initialize.$(Suf)

qp_pbp_diagnostics.o: $(OUTPUT_DIR)/qp_pbp_diagnostics.F 
	$(Cpp) $(precision) $(Cpp_opts) $(OUTPUT_DIR)/qp_pbp_diagnostics.F > qp_pbp_diagnostics.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) qp_pbp_diagnostics.$(Suf)

physical_parameters.o: $(SRC_DIR)/physical_parameters.F
	$(Cpp) $(precision) $(Cpp_opts) $(SRC_DIR)/physical_parameters.F > physical_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) physical_parameters.$(Suf)

netcdf_util.o: $(OUTPUT_DIR)/netcdf_util.F 
	$(Cpp) $(precision) $(Cpp_opts) $(OUTPUT_DIR)/netcdf_util.F > netcdf_util.$(Suf)
	$(Comp) $(Inc) $(Dp) $(Opts) $(Fix) netcdf_util.$(Suf)

ncgentools.o: $(OUTPUT_DIR)/ncgentools.F 
	$(Cpp) $(precision) $(Cpp_opts) $(OUTPUT_DIR)/ncgentools.F > ncgentools.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) ncgentools.$(Suf)

ncpbpwrt.o: $(OUTPUT_DIR)/ncpbpwrt.F 
	$(Cpp) $(precision) $(Cpp_opts) $(OUTPUT_DIR)/ncpbpwrt.F > ncpbpwrt.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) ncpbpwrt.$(Suf)

pbp_module.o: $(OUTPUT_DIR)/pbp_module.F 
	$(Cpp) $(precision) $(Cpp_opts) $(OUTPUT_DIR)/pbp_module.F > pbp_module.$(Suf)
	$(Comp) $(Inc) $(Dp) $(Opts) $(Free) pbp_module.$(Suf)

pbp_sfc.o: $(OUTPUT_DIR)/pbp_sfc.F 
	$(Cpp) $(precision) $(Cpp_opts) $(OUTPUT_DIR)/pbp_sfc.F > pbp_sfc.$(Suf)
	$(Comp) $(Inc) $(Dp) $(Opts) $(Free) pbp_sfc.$(Suf)

scm.o: $(SCM_DIR)/scm.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/scm.F > scm.$(Suf)
	$(Comp) $(Inc) $(Dp) $(Opts) $(Free) scm.$(Suf)

atmos_ozone_utilities.o: $(PCONT_DIR)/atmos_ozone_utilities.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/atmos_ozone_utilities.F > atmos_ozone_utilities.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) atmos_ozone_utilities.$(Suf)

initialize_pcontrol.o: $(PCONT_DIR)/initialize_pcontrol.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/initialize_pcontrol.F > initialize_pcontrol.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) initialize_pcontrol.$(Suf)

fluxcoupler_fields.o: $(PCONT_DIR)/fluxcoupler_fields.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/fluxcoupler_fields.F > fluxcoupler_fields.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) fluxcoupler_fields.$(Suf)

fluxcoupler_fields_sfc.o: $(PCONT_DIR)/fluxcoupler_fields_sfc.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/fluxcoupler_fields_sfc.F > fluxcoupler_fields_sfc.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) fluxcoupler_fields_sfc.$(Suf)

pcontrol_parameters.o: $(PCONT_DIR)/pcontrol_parameters.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/pcontrol_parameters.F > pcontrol_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) pcontrol_parameters.$(Suf)

chunk_parameters.o: $(PCONT_DIR)/chunk_parameters.F
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/chunk_parameters.F > chunk_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) chunk_parameters.$(Suf)

pcontrol.o: $(PCONT_DIR)/pcontrol.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/pcontrol.F > pcontrol.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) pcontrol.$(Suf)

bc_update.o: $(PCONT_DIR)/bc_update.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/bc_update.F > bc_update.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) bc_update.$(Suf)

flux_coupler.o: $(PCONT_DIR)/flux_coupler.F
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/flux_coupler.F > flux_coupler.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) flux_coupler.$(Suf)

wtavrg.o: $(PCONT_DIR)/wtavrg.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/wtavrg.F > wtavrg.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) wtavrg.$(Suf)

radgcm_parameters.o: $(PCONT_DIR)/radgcm_parameters.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/radgcm_parameters.F > radgcm_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) radgcm_parameters.$(Suf)

radgcm.o: $(PCONT_DIR)/radgcm.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/radgcm.F > radgcm.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) radgcm.$(Suf)

coszen.o: $(PCONT_DIR)/coszen.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/coszen.F > coszen.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) coszen.$(Suf)

clcf.o: $(PCONT_DIR)/clcf.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/clcf.F > clcf.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) clcf.$(Suf)

elqclop.o: $(PCONT_DIR)/elqclop.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/elqclop.F > elqclop.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) elqclop.$(Suf)

lwrad.o: $(PCONT_DIR)/lwrad.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/lwrad.F > lwrad.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) lwrad.$(Suf)

lwflux.o: $(PCONT_DIR)/lwflux.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/lwflux.F > lwflux.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) lwflux.$(Suf)

cldslw.o: $(PCONT_DIR)/cldslw.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/cldslw.F > cldslw.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) cldslw.$(Suf)

crunch.o: $(PCONT_DIR)/crunch.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/crunch.F > crunch.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) crunch.$(Suf)

swrad.o: $(PCONT_DIR)/swrad.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/swrad.F > swrad.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) swrad.$(Suf)

setsw.o: $(PCONT_DIR)/setsw.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/setsw.F > setsw.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) setsw.$(Suf)

clear.o: $(PCONT_DIR)/clear.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/clear.F > clear.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) clear.$(Suf)

cloudy.o: $(PCONT_DIR)/cloudy.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/cloudy.F > cloudy.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) cloudy.$(Suf)

pbl_parameters.o: $(PCONT_DIR)/pbl_parameters.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/pbl_parameters.F > pbl_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) pbl_parameters.$(Suf)

buoyshear_module.o: $(PCONT_DIR)/buoyshear_module.F
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/buoyshear_module.F > buoyshear_module.$(Suf)
	$(Comp) $(Dp) $(pblOpts) $(Free) buoyshear_module.$(Suf)

negtke_module.o: $(PCONT_DIR)/negtke_module.F
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/negtke_module.F > negtke_module.$(Suf)
	$(Comp) $(Dp) $(pblOpts) $(Free) negtke_module.$(Suf)

comp_tke_module.o: $(PCONT_DIR)/comp_tke_module.F
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/comp_tke_module.F > comp_tke_module.$(Suf)
	$(Comp) $(Dp) $(pblOpts) $(Free) comp_tke_module.$(Suf)

pbl.o: $(PCONT_DIR)/pbl.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/pbl.F > pbl.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) pbl.$(Suf)

cubic.o: $(PCONT_DIR)/cubic.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/cubic.F > cubic.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) cubic.$(Suf)

ocean_parameters.o: $(PCONT_DIR)/ocean_parameters.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/ocean_parameters.F > ocean_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) ocean_parameters.$(Suf)

landice_parameters.o: $(PCONT_DIR)/landice_parameters.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/landice_parameters.F > landice_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) landice_parameters.$(Suf)

sib_parameters.o: $(PCONT_DIR)/sib_parameters.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/sib_parameters.F > sib_parameters.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) sib_parameters.$(Suf)

sfc_init.o: $(SCM_DIR)/sfc_init.F 
	$(Cpp) $(precision) $(Cpp_opts) $(SCM_DIR)/sfc_init.F > sfc_init.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) sfc_init.$(Suf)

sfc_control.o: $(PCONT_DIR)/sfc_control.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/sfc_control.F > sfc_control.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) sfc_control.$(Suf)

oceanflx.o: $(PCONT_DIR)/oceanflx.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/oceanflx.F > oceanflx.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) oceanflx.$(Suf)

landiceflx.o: $(PCONT_DIR)/landiceflx.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/landiceflx.F > landiceflx.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) landiceflx.$(Suf)

sib.o: $(PCONT_DIR)/sib.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/sib.F > sib.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) sib.$(Suf)

sibfiles.o: $(PCONT_DIR)/sibfiles.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/sibfiles.F > sibfiles.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) sibfiles.$(Suf)

vmfcal.o: $(PCONT_DIR)/vmfcal.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/vmfcal.F > vmfcal.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) vmfcal.$(Suf)

vmfcal2.o: $(PCONT_DIR)/vmfcal2.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/vmfcal2.F > vmfcal2.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) vmfcal2.$(Suf)

vmfcalz.o: $(PCONT_DIR)/vmfcalz.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/vmfcalz.F > vmfcalz.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) vmfcalz.$(Suf)

vmfcalz2.o: $(PCONT_DIR)/vmfcalz2.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/vmfcalz2.F > vmfcalz2.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) vmfcalz2.$(Suf)

vmfcalo.o: $(PCONT_DIR)/vmfcalo.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/vmfcalo.F > vmfcalo.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) vmfcalo.$(Suf)

vmfcalzo.o: $(PCONT_DIR)/vmfcalzo.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/vmfcalzo.F > vmfcalzo.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) vmfcalzo.$(Suf)

phys_rad.o: $(PCONT_DIR)/phys_rad.F 
	$(Cpp) $(precision) $(Cpp_opts) $(PCONT_DIR)/phys_rad.F > phys_rad.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) phys_rad.$(Suf)

eau_cldproperties.o : $(EAU_DIR)/eau_cldproperties.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cldproperties.F > eau_cldproperties.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cldproperties.$(Suf)

eau_cup_control.o : $(EAU_DIR)/eau_cup_control.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cup_control.F > eau_cup_control.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cup_control.$(Suf)

eau_cup.o : $(EAU_DIR)/eau_cup.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cup.F > eau_cup.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cup.$(Suf)

eau_cupalpha.o : $(EAU_DIR)/eau_cupalpha.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cupalpha.F > eau_cupalpha.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cupalpha.$(Suf)

eau_cupcld.o : $(EAU_DIR)/eau_cupcld.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cupcld.F > eau_cupcld.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cupcld.$(Suf)

eau_cupcke.o : $(EAU_DIR)/eau_cupcke.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cupcke.F > eau_cupcke.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cupcke.$(Suf)

eau_cupinit.o : $(EAU_DIR)/eau_cupinit.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cupinit.F > eau_cupinit.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cupinit.$(Suf)

eau_cupl2.o : $(EAU_DIR)/eau_cupl2.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cupl2.F > eau_cupl2.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cupl2.$(Suf)

eau_cupls.o : $(EAU_DIR)/eau_cupls.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cupls.F > eau_cupls.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cupls.$(Suf)

eau_cuplsng.o : $(EAU_DIR)/eau_cuplsng.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cuplsng.F > eau_cuplsng.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cuplsng.$(Suf)

eau_cuppbps.o : $(EAU_DIR)/eau_cuppbps.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cuppbps.F > eau_cuppbps.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cuppbps.$(Suf)

eau_cupsubs.o : $(EAU_DIR)/eau_cupsubs.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cupsubs.F > eau_cupsubs.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cupsubs.$(Suf)

eau_cuptracers.o : $(EAU_DIR)/eau_cuptracers.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cuptracers.F > eau_cuptracers.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cuptracers.$(Suf)

eau_cuptran.o : $(EAU_DIR)/eau_cuptran.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_cuptran.F > eau_cuptran.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_cuptran.$(Suf)

eau_ener.o : $(EAU_DIR)/eau_ener.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_ener.F > eau_ener.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_ener.$(Suf)

eau_farrays.o : $(EAU_DIR)/eau_farrays.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_farrays.F > eau_farrays.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_farrays.$(Suf)

eau_gather.o : $(EAU_DIR)/eau_gather.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_gather.F > eau_gather.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_gather.$(Suf)

eau_global.o : $(EAU_DIR)/eau_global.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_global.F > eau_global.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_global.$(Suf)

eau_l2.o : $(EAU_DIR)/eau_l2.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_l2.F > eau_l2.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_l2.$(Suf)

eau_liqpbps.o : $(EAU_DIR)/eau_liqpbps.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_liqpbps.F > eau_liqpbps.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_liqpbps.$(Suf)

eau_liq.o : $(EAU_DIR)/eau_liq.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_liq.F > eau_liq.$(Suf)
	$(Comp) $(Dp) $(eauliqOpts) $(Free) eau_liq.$(Suf)

eau_liq_control.o : $(EAU_DIR)/eau_liq_control.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_liq_control.F > eau_liq_control.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_liq_control.$(Suf)

eau_logint.o : $(EAU_DIR)/eau_logint.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_logint.F > eau_logint.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_logint.$(Suf)

eau_mass.o : $(EAU_DIR)/eau_mass.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_mass.F > eau_mass.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_mass.$(Suf)

eau_melt.o : $(EAU_DIR)/eau_melt.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_melt.F > eau_melt.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_melt.$(Suf)

eau_params.o : $(EAU_DIR)/eau_params.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_params.F > eau_params.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_params.$(Suf)

eau_prec.o : $(EAU_DIR)/eau_prec.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_prec.F > eau_prec.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_prec.$(Suf)

eau_supmicrop.o : $(EAU_DIR)/eau_supmicrop.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_supmicrop.F > eau_supmicrop.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_supmicrop.$(Suf)

eau_submicrop.o : $(EAU_DIR)/eau_submicrop.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_submicrop.F > eau_submicrop.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_submicrop.$(Suf)

eau_subsat.o : $(EAU_DIR)/eau_subsat.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_subsat.F > eau_subsat.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_subsat.$(Suf)

eau_supsat.o : $(EAU_DIR)/eau_supsat.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_supsat.F > eau_supsat.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_supsat.$(Suf)

eau_util.o : $(EAU_DIR)/eau_util.F
	$(Cpp) $(precision) $(Cpp_opts) $(EAU_DIR)/eau_util.F > eau_util.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) eau_util.$(Suf)

rad_bandsolve.o : $(RAD_DIR)/rad_bandsolve.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_bandsolve.F > rad_bandsolve.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_bandsolve.$(Suf)

rad_cld.o : $(RAD_DIR)/rad_cld.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_cld.F > rad_cld.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_cld.$(Suf)

rad_cloudg.o : $(RAD_DIR)/rad_cloudg.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_cloudg.F > rad_cloudg.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_cloudg.$(Suf)

rad_comscp1.o : $(RAD_DIR)/rad_comscp1.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_comscp1.F > rad_comscp1.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_comscp1.$(Suf)

rad_comscp2.o : $(RAD_DIR)/rad_comscp2.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_comscp2.F > rad_comscp2.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_comscp2.$(Suf)

rad_control.o : $(RAD_DIR)/rad_control.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_control.F > rad_control.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_control.$(Suf)

rad_coszen.o : $(RAD_DIR)/rad_coszen.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_coszen.F > rad_coszen.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_coszen.$(Suf)

rad_driver.o : $(RAD_DIR)/rad_driver.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_driver.F > rad_driver.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_driver.$(Suf)

rad_gascon_ckd.o : $(RAD_DIR)/rad_gascon_ckd.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_gascon_ckd.F > rad_gascon_ckd.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_gascon_ckd.$(Suf)

rad_gascon_robs.o : $(RAD_DIR)/rad_gascon_robs.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_gascon_robs.F > rad_gascon_robs.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) rad_gascon_robs.$(Suf)

rad_gases.o : $(RAD_DIR)/rad_gases.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_gases.F > rad_gases.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_gases.$(Suf)

rad_gases_ckd.o : $(RAD_DIR)/rad_gases_ckd.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_gases_ckd.F > rad_gases_ckd.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_gases_ckd.$(Suf)

rad_lwr.o : $(RAD_DIR)/rad_lwr.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_lwr.F > rad_lwr.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_lwr.$(Suf)

rad_newexp.o : $(RAD_DIR)/rad_newexp.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_newexp.F > rad_newexp.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_newexp.$(Suf)

rad_params.o : $(RAD_DIR)/rad_params.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_params.F > rad_params.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_params.$(Suf)

rad_o3params.o : $(RAD_DIR)/rad_o3params.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_o3params.F > rad_o3params.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_o3params.$(Suf)

rad_planck.o : $(RAD_DIR)/rad_planck.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_planck.F > rad_planck.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) rad_planck.$(Suf)

rad_pscalei.o : $(RAD_DIR)/rad_pscalei.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_pscalei.F > rad_pscalei.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_pscalei.$(Suf)

rad_pscales.o : $(RAD_DIR)/rad_pscales.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_pscales.F > rad_pscales.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_pscales.$(Suf)

rad_qki.o : $(RAD_DIR)/rad_qki.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qki.F > rad_qki.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qki.$(Suf)

rad_qkio3.o : $(RAD_DIR)/rad_qkio3.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qkio3.F > rad_qkio3.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qkio3.$(Suf)

rad_qks.o : $(RAD_DIR)/rad_qks.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qks.F > rad_qks.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qks.$(Suf)

rad_qopch4.o : $(RAD_DIR)/rad_qopch4.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qopch4.F > rad_qopch4.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qopch4.$(Suf)

rad_qoph2o.o : $(RAD_DIR)/rad_qoph2o.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qoph2o.F > rad_qoph2o.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qoph2o.$(Suf)

rad_qophc.o : $(RAD_DIR)/rad_qophc.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qophc.F > rad_qophc.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qophc.$(Suf)

rad_qopn2o.o : $(RAD_DIR)/rad_qopn2o.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qopn2o.F > rad_qopn2o.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qopn2o.$(Suf)

rad_qopo3i.o : $(RAD_DIR)/rad_qopo3i.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qopo3i.F > rad_qopo3i.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qopo3i.$(Suf)

rad_qopo3s.o : $(RAD_DIR)/rad_qopo3s.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_qopo3s.F > rad_qopo3s.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_qopo3s.$(Suf)

rad_pbps.o : $(RAD_DIR)/rad_pbps.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_pbps.F > rad_pbps.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Free) rad_pbps.$(Suf)

rad_rayle.o : $(RAD_DIR)/rad_rayle.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_rayle.F > rad_rayle.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_rayle.$(Suf)

rad_sfc.o : $(RAD_DIR)/rad_sfc.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_sfc.F > rad_sfc.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_sfc.$(Suf)

rad_sounding.o : $(RAD_DIR)/rad_sounding.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_sounding.F > rad_sounding.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_sounding.$(Suf)

rad_subdomain.o : $(RAD_DIR)/rad_subdomain.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_subdomain.F > rad_subdomain.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_subdomain.$(Suf)

rad_swr.o : $(RAD_DIR)/rad_swr.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_swr.F > rad_swr.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_swr.$(Suf)

rad_twort_lw.o : $(RAD_DIR)/rad_twort_lw.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_twort_lw.F > rad_twort_lw.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_twort_lw.$(Suf)

rad_twort_lw_bs.o : $(RAD_DIR)/rad_twort_lw_bs.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_twort_lw_bs.F > rad_twort_lw_bs.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_twort_lw_bs.$(Suf)

rad_twort_lw_iter.o : $(RAD_DIR)/rad_twort_lw_iter.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_twort_lw_iter.F > rad_twort_lw_iter.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_twort_lw_iter.$(Suf)

rad_twort_lw_sel.o : $(RAD_DIR)/rad_twort_lw_sel.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_twort_lw_sel.F > rad_twort_lw_sel.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_twort_lw_sel.$(Suf)

rad_twort_sw.o : $(RAD_DIR)/rad_twort_sw.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_twort_sw.F > rad_twort_sw.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_twort_sw.$(Suf)

rad_twort_sw_bs.o : $(RAD_DIR)/rad_twort_sw_bs.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_twort_sw_bs.F > rad_twort_sw_bs.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_twort_sw_bs.$(Suf)

rad_twort_sw_iter.o : $(RAD_DIR)/rad_twort_sw_iter.F
	$(Cpp) $(precision) $(Cpp_opts) $(RAD_DIR)/rad_twort_sw_iter.F > rad_twort_sw_iter.$(Suf)
	$(Comp) $(Dp) $(Opts) $(Fix) rad_twort_sw_iter.$(Suf)

clean :
	rm -f *.o *.f *.h *.mod

