!-----------------------------------------------------------------------

      module rad_o3params
      
      use kinds
      use domain_decomposition
      use sigma_coordinate
      
      implicit none
      save

!-----------------------------------------------------------------------
! rad_o3params contains the ozone data arrays.
! Laura D. Fowler/slikrock (04-16-01).

! MODIFICATIONS:
!     none.

!-----------------------------------------------------------------------

!---- climatological ozone:
      real (kind=dbl_kind), save, dimension(iim,jjm,nlm+1,12,nsdm)::
     &          o3dat     !monthly ozone mixing ratios        (kg/kg).
      real (kind=dbl_kind), save, dimension(iim,jjm,nlm+1,nsdm) ::
     &          climo3    !interpolated ozone mixing ratios   (kg/kg).

      end module rad_o3params

!-----------------------------------------------------------------------
