!----------------------------------------------------------------------

      module rad_subdomain

      use kinds
      use domain_decomposition
      use sigma_coordinate

      implicit none

!----------------------------------------------------------------------
! this module defines the length of the sub-domain of length len. When
! locally defining the length of the subdomain, I can defined the local
! arrays inside a module used in the different subroutines called in
! eau_liq.
! laura D. Fowler/mcbug (12-01-01).

! send comments to laura@atmos.colostate.edu

!----------------------------------------------------------------------

      integer (kind=int_kind), parameter::
     &  len     = 1
     &, nagrid  = iim*jjm

      integer (kind=int_kind), parameter::
     &  nlm_rad = nlm+1    !number of layers for radiation calculations
     &, npblp1  = npbl+1

!----------------------------------------------------------------------

      end module rad_subdomain

!----------------------------------------------------------------------

